package cn.iocoder.yudao.module.order.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderControlLogParam {
    @ApiModelProperty("订单id")
    private Long orderId;
    @ApiModelProperty("控货日志类型key值：1 新增控货 2 更新控货 3 转移控货 4 放货 5 放货复核 6 放货取消  7 放货修改申请 8 放货反复核申请 " +
            "9 被调货申请 10 调货申请 11 取消放货申请 12 放货修改失败 13 放货反复核失败 14 被调货失败 15 调货失败 16 取消放货失败 17 放货修改通过" +
            "18 放货反复核通过 19 调货审批通过 20 被调货审批通过 21 取消放货审批通过")
    private Integer typeKey;
    @ApiModelProperty("控货操作类型")
    private String type;
    @ApiModelProperty("控货操作业务详情")
    private String msg;

    @ApiModelProperty("审核ID")
    private Long approvalId;

}
